Subject: Re: [PATCH v3 2/3] cxgb4: use module_long_probe_init()

From: "[email-masked]" <[email-masked]>
Date: Fri, 15 Aug 2014 15:12:05 +0800

On Fri, Aug 15, 2014 at 02:14:58AM +0200, Luis R. Rodriguez wrote:
> This driver also uses module_pci_driver() so a module_long_probe_driver()
> and respective module_long_probe_pci_driver() would need to be considered
> if but easily implemented (sent to Alex to test).

No, don't create bus-only versions of the "long probe" function, just
unwrap the module_pci_driver() logic and use the module_long_probe()
call, we want it to be "obvious" that something is odd here and needs to
be fixed someday.

thanks,

greg k-h